<?php
/**
 * Custom 404 Page Extension
 *
 * @package mundophpbb\custom404
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */
namespace mundophpbb\custom404;

class ext extends \phpbb\extension\base
{
    /**
     * Check whether the extension can be enabled
     *
     * @return bool
     */
    public function is_enableable()
    {
        $config = $this->container->get('config');
        return phpbb_version_compare($config['version'], '3.3.0', '>=') && PHP_VERSION_ID >= 70103;
    }

    /**
     * Enable step to ensure module registration
     *
     * @param mixed $old_state State returned by previous call
     * @return mixed
     */
    public function enable_step($old_state)
    {
        // Log for debugging
        error_log('Custom 404 Page enable_step called: ' . date('Y-m-d H:i:s'));

        if ($old_state === false)
        {
            // Clear cache to ensure module registration
            $cache = $this->container->get('cache');
            $cache->purge();

            // Log module registration attempt
            error_log('Custom 404 Page module registration attempted: ' . date('Y-m-d H:i:s'));
        }

        return parent::enable_step($old_state);
    }
}