<?php
/**
 * ACP Language File for Custom 404 Page Extension (English)
 *
 * @package mundophpbb\custom404\language\en
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */
if (!defined('IN_PHPBB')) {
    exit;
}

if (empty($lang) || !is_array($lang)) {
    $lang = [];
}

$lang = array_merge($lang, [
    // ACP Module Interface
    'ACP_CUSTOM404'                     => 'Custom 404 Page',
    'ACP_CUSTOM404_BBCODE_INFO'         => 'Use BBCode tags like [b]bold[/b], [i]italic[/i], [url=/]link[/url], or [list][*]item[/list] to format the message.',
    'ACP_CUSTOM404_CHOOSE_FILE'         => 'Choose File',
    'ACP_CUSTOM404_DEFAULT_IMAGE'       => 'Default Image',
    'ACP_CUSTOM404_IMAGE_ALT_LABEL'     => '404 Image Alt Text',
    'ACP_CUSTOM404_IMAGE_PATH_EXPLAIN'  => 'Select an image from the extension’s image directory (styles/all/theme/images).',
    'ACP_CUSTOM404_IMAGE_PATH_LABEL'    => '404 Page Image',
    'ACP_CUSTOM404_IMAGE_PREVIEW'       => 'The image preview will update automatically when a new option is selected.',
    'ACP_CUSTOM404_IMAGE_UPLOAD'        => 'Upload New Image',
    'ACP_CUSTOM404_IMAGE_UPLOADED'      => 'Image uploaded successfully!',
    'ACP_CUSTOM404_INVALID_FILE_TYPE'   => 'Invalid file type. Only %s files are allowed.',
    'ACP_CUSTOM404_MESSAGE_LABEL'       => '404 Page Message',
    'ACP_CUSTOM404_NO_FILE_CHOSEN'      => 'No File Chosen',
    'ACP_CUSTOM404_SAVED'               => 'The 404 page settings have been updated successfully!',
    'ACP_CUSTOM404_TITLE'               => 'Custom 404 Page Settings',
    'ACP_CUSTOM404_TITLE_LABEL'         => '404 Page Title',
    'ACP_CUSTOM404_UPLOAD_INFO'         => 'Allowed formats: %s. Maximum file size: %d MB.',

    // BBCode Help
    'BBCODE_B_HELP'                     => 'Bold text: [b]text[/b]',
    'BBCODE_I_HELP'                     => 'Italic text: [i]text[/i]',
    'BBCODE_INSTRUCTIONS'               => 'Use BBCode tags like [b]bold[/b], [url]link[/url], [img]image[/img] to format the message.',
    'BBCODE_U_HELP'                     => 'Underlined text: [u]text[/u]',

    // Front-End 404 Page Defaults
    'CUSTOM404_DEFAULT_IMAGE_ALT'       => '404 Error Image',
    'CUSTOM404_DEFAULT_MESSAGE'         => 'The page you are looking for could not be found.',
    'CUSTOM404_DEFAULT_TITLE'           => '404 Not Found',

    // Form Validation
    'FORM_INVALID'                      => 'The submitted form is invalid. Please try again.',

    // Buttons and General Interface
    'L_RETURN_TO_INDEX'                 => 'Return to Index',
    'L_SAVE_CHANGES'                    => 'Save Changes',
    'L_UPLOAD_IMAGE'                    => 'Upload Image',
]);