<?php
/**
 * ACP Language File for Custom 404 Page Extension (Portuguese)
 *
 * @package mundophpbb\custom404\language\pt
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 */
if (!defined('IN_PHPBB')) {
    exit;
}

if (empty($lang) || !is_array($lang)) {
    $lang = [];
}

$lang = array_merge($lang, [
    // ACP Module Interface
    'ACP_CUSTOM404'                     => 'Página 404 Personalizada',
    'ACP_CUSTOM404_BBCODE_INFO'         => 'Use tags de BBCode como [b]negrito[/b], [i]itálico[/i], [url=/]link[/url], ou [list][*]item[/list] para formatar a mensagem.',
    'ACP_CUSTOM404_CHOOSE_FILE'         => 'Escolher Arquivo',
    'ACP_CUSTOM404_DEFAULT_IMAGE'       => 'Imagem Padrão',
    'ACP_CUSTOM404_IMAGE_ALT_LABEL'     => 'Texto Alternativo da Imagem 404',
    'ACP_CUSTOM404_IMAGE_PATH_EXPLAIN'  => 'Selecione uma imagem do diretório de imagens da extensão (styles/all/theme/images).',
    'ACP_CUSTOM404_IMAGE_PATH_LABEL'    => 'Imagem da Página 404',
    'ACP_CUSTOM404_IMAGE_PREVIEW'       => 'A pré-visualização da imagem será atualizada automaticamente ao selecionar uma nova opção.',
    'L_ACP_CUSTOM404_IMAGE_PREVIEW_LABEL' => 'Pré-visualização da Imagem', // Nova string sugerida
    'ACP_CUSTOM404_IMAGE_UPLOAD'        => 'Enviar Nova Imagem',
    'ACP_CUSTOM404_IMAGE_UPLOADED'      => 'Imagem enviada com sucesso!',
    'ACP_CUSTOM404_INVALID_FILE_TYPE'   => 'Tipo de arquivo inválido. Apenas arquivos %s são permitidos.',
    'L_ACP_CUSTOM404_FILE_SIZE_EXCEEDED' => 'O tamanho do arquivo excede o limite de %d MB.', // Nova string sugerida
    'ACP_CUSTOM404_MESSAGE_LABEL'       => 'Mensagem da Página 404',
    'ACP_CUSTOM404_NO_FILE_CHOSEN'      => 'Nenhum Arquivo Escolhido',
    'ACP_CUSTOM404_SAVED'               => 'As configurações da página 404 foram atualizadas com sucesso!',
    'ACP_CUSTOM404_TITLE'               => 'Configurações da Página 404 Personalizada',
    'ACP_CUSTOM404_TITLE_LABEL'         => 'Título da Página 404',
    'ACP_CUSTOM404_UPLOAD_INFO'         => 'Formatos permitidos: %s. Tamanho máximo do arquivo: %d MB.',

    // BBCode Help
    'BBCODE_B_HELP'                     => 'Texto em negrito: [b]texto[/b]',
    'BBCODE_I_HELP'                     => 'Texto em itálico: [i]texto[/i]',
    'BBCODE_U_HELP'                     => 'Texto sublinhado: [u]texto[/u]',

    // Front-End 404 Page Defaults
    'CUSTOM404_DEFAULT_IMAGE_ALT'       => 'Imagem de Erro 404',
    'CUSTOM404_DEFAULT_MESSAGE'         => 'A página que você está procurando não foi encontrada.',
    'CUSTOM404_DEFAULT_TITLE'           => '404 Não Encontrado',

    // Form Validation
    'FORM_INVALID'                      => 'O formulário enviado é inválido. Por favor, tente novamente.',

    // Buttons and General Interface
    'L_RETURN_TO_INDEX'                 => 'Voltar ao Início',
    'L_SAVE_CHANGES'                    => 'Salvar Alterações',
    'L_UPLOAD_IMAGE'                    => 'Enviar Imagem',
]);